package com.ss.android.ugc.aweme.speedpredictor.api;

import X.AnonymousClass8V6;
import X.C20498Rs;
import com.bytedance.covode.number.Covode;

public interface ISpeedCalculatorConfig {
    static {
        Covode.recordClassIndex(115486);
    }

    int getCalculatorType();

    double getDefaultSpeedInBPS();

    AnonymousClass8V6 getIntelligentAlgoConfig();

    C20498Rs getSpeedAlgorithmType();

    int getSpeedQueueSize();
}
